import "./tasks/Haplotyper.wdl" as Haplotyper
import "./tasks/Hardfiltration.wdl" as Hardfiltration
import "./tasks/Annovar.wdl" as Annovar

workflow {{ project_name }} {

	String SENTIEON_INSTALL_DIR
	String sample
	String docker
	
	String fasta
	File ref_dir
	File dbmills_dir
	String db_mills
	File dbsnp_dir
	String dbsnp
	String disk_size
	String cluster_config

	File recaled_bam
	File database
	File recaled_bam_index

	call Haplotyper.Haplotyper as Haplotyper {
		input:
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		ref_dir=ref_dir,
		recaled_bam=recaled_bam,
		recaled_bam_index=recaled_bam_index,
		dbsnp=dbsnp,
		dbsnp_dir=dbsnp_dir,
		sample=sample,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
	call Hardfiltration.Hardfiltration  as Hardfiltration {
		input:
		docker=hardfiltration_docker,
		sample=sample,
		vcf_index=Haplotyper.vcf_index,
		disk_size=disk_size,
		vcf_file=Haplotyper.vcf_file,
		cluster_config=cluster_config
	}
	call Annovar.Annovar as Annovar {
		input:
		docker=annovar_docker,
		database=database,
		vcf_file=Hardfiltration.pass_vcf,
		sample=sample,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}
